Debian Bug report logs - #589436
ITP: gerrit -- Web based code review and project management for Git based projects

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Koch <thomas@koch.ro>

Date: Sat, 17 Jul 2010 19:03:01 UTC

Owned by: thomas@koch.ro

Severity: wishlist

Fix blocked by 685871: please also package guice-servlet, 607891: RFP: h2database -- relational database management system written in Java, 685874: RFP: libpegdown-java -- lightweight Java Markdown processor library, 690887: no maven artifacts in /u/s/maven-repo, 685879: RFP: libmime-util-java -- MIME types detector library, 681924: RFP: libgwtexpui-java -- Extended UI tools for GWT, 678649: RFP: prolog-cafe -- Prolog implementation running on the Java Virtual Machine (JVM), 685875: RFP: parboiled -- parser library based on Parsing expression grammars, 683639: RFP: libapache-sshd-java -- java server and client implementation of the SSH protocol, 683642: ITP: gwt-maven-plugin -- maven plugin to compile Google Web Toolkit applications, 718394: ITP: buck -- Facebook's build system for large Java projects, 690695: no debian version in maven-repo, 681920: RFP: libgwtjsonrpc-java -- JSON based GWT-RPC implementation, 681918: RFP: libgwtorm-java -- tiny Object-Relational-Mapper library used by Gerrit

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, thomas@koch.ro, wnpp@debian.org:
Bug#589436; Package wnpp. (Sat, 17 Jul 2010 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Koch <thomas@koch.ro>:
New Bug report received and forwarded. Copy sent to thomas@koch.ro, wnpp@debian.org. (Sat, 17 Jul 2010 19:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: gerrit -- Web based code review and project management for Git based projects
Date: Sat, 17 Jul 2010 21:00:07 +0200
Package: wnpp
Severity: wishlist


* Package name    : gerrit
  Version         : 2.1.3
  Upstream Author : The Android Open Source Project <repo-discuss@googlegroups.com>
* URL             : http://code.google.com/p/gerrit/
* License         : Apache License 2.0
  Programming Lang: Java
  Description     : Web based code review and project management for Git based projects

Gerrit is a web based code review system, facilitating online code
reviews for projects using the Git version control system.

Gerrit makes reviews easier by showing changes in a side-by-side
display, and allowing inline comments to be added by any reviewer.

Gerrit simplifies Git based project maintainership by permitting any
authorized user to submit changes to the master Git repository, rather
than requiring all approved changes to be merged in by hand by the
project maintainer. This functionality enables a more centralized usage
of Git. 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#589436; Package wnpp. (Thu, 24 Nov 2011 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 24 Nov 2011 14:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 589436@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 589436@bugs.debian.org, Thomas Koch <thomas@koch.ro>
Subject: status
Date: Thu, 24 Nov 2011 15:12:23 +0100
Hi Thomas,

what's the status of this ITP? It looks slightly stalled :)


cheers,
	Holger




Added blocking bug(s) of 589436: 624205 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Thu, 24 Nov 2011 15:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#589436; Package wnpp. (Wed, 25 Jan 2012 11:12:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pau Garcia i Quiles <pgquiles@elpauer.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 25 Jan 2012 11:12:39 GMT) Full text and rfc822 format available.

Message #17 received at 589436@bugs.debian.org (full text, mbox):

From: Pau Garcia i Quiles <pgquiles@elpauer.org>
To: 589436@bugs.debian.org, Thomas Koch <thomas@koch.ro>
Subject: Progress?
Date: Wed, 25 Jan 2012 12:08:27 +0100
Any progress on this?

-- 
Pau Garcia i Quiles
http://www.elpauer.org
(Due to my workload, I may need 10 days to answer)




Added blocking bug(s) of 589436: 678649 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Sat, 23 Jun 2012 13:36:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: gerrit -- Web based code review and project management for Git based projects' from 'RFP: gerrit -- Web based code review and project management for Git based projects' Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Fri, 17 Aug 2012 19:06:06 GMT) Full text and rfc822 format available.

Owner recorded as thomas@koch.ro. Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Fri, 17 Aug 2012 19:06:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 681924 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Fri, 17 Aug 2012 19:06:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 683631 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Fri, 17 Aug 2012 19:06:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 683639 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Fri, 17 Aug 2012 19:06:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 681918 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Fri, 17 Aug 2012 19:06:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 681920 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Fri, 17 Aug 2012 19:06:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 683642 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Fri, 17 Aug 2012 19:06:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 685875 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Sat, 25 Aug 2012 20:33:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 685874 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Sat, 25 Aug 2012 20:33:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 685873 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Sat, 25 Aug 2012 20:33:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 685871 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Sat, 25 Aug 2012 20:33:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 685879 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Sat, 25 Aug 2012 20:51:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 607891 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Tue, 28 Aug 2012 20:21:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 681923 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Tue, 16 Oct 2012 14:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#589436; Package wnpp. (Tue, 16 Oct 2012 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Oct 2012 14:27:03 GMT) Full text and rfc822 format available.

Message #54 received at 589436@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 678649@bugs.debian.org, 681924@bugs.debian.org, 685871@bugs.debian.org, 683642@bugs.debian.org, 683639@bugs.debian.org, 685873@bugs.debian.org, 681920@bugs.debian.org, 685879@bugs.debian.org, 681918@bugs.debian.org, 589436@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>, debian-java@lists.debian.org
Subject: Status of gerrit packaging
Date: Tue, 16 Oct 2012 16:24:38 +0200
Hi,

I've been waiting for a new version (with a fix) of apache-mina-sshd to be 
released to continue working on the Gerrit packaging. Currently all essential
dependencies are preliminary packaged and available in Git repos:

http://anonscm.debian.org/gitweb/?p=pkg-java/libprolog-cafe-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libmime-util-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libmina-sshd-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libjpam-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libjuniversalchardet-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libgwtorm-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libgwtjsonrpc-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libgwtexpui-java.git

I don't ask for sponsorship yet since we're in freeze and the packages still 
need a final review: copyright, pbuilder test, lintian. If however somebody
wants to review and upload them to experimental I'd be more than happy!

These bugs with patches available block gerrit, we just need to wait:

dpkg: 683547 dpkg-source fails on a patch series deleting a file after patching
guice: 685871 servlet extension for guice
gwt: 681923 please install to debian maven repo

The following dependencies are not critical and I'll try to patch them out:

685875: RFP: parboiled -- parser library based on Parsing expression grammars
685874: RFP: libpegdown-java -- lightweight Java Markdown processor library
683642: ITP: gwt-maven-plugin -- maven plugin to compile Google Web Toolkit applications
607891: RFP: h2database -- relational database management system written in Java

I'll try to get gerrit working before continuing to work on the dependencies.

Best regards,

Thomas Koch, http://www.koch.ro



Added blocking bug(s) of 589436: 690695 Request was from Thomas Koch <thomas@koch.ro> to submit@bugs.debian.org. (Tue, 16 Oct 2012 15:45:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 690888 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Thu, 18 Oct 2012 20:36:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 690887 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Thu, 18 Oct 2012 20:36:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 690885 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Thu, 18 Oct 2012 20:36:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 623950 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Sat, 20 Oct 2012 16:09:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 691773 Request was from Thomas Koch <thomas@koch.ro> to submit@bugs.debian.org. (Mon, 29 Oct 2012 16:03:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 589436: 691927 Request was from Thomas Koch <thomas@koch.ro> to submit@bugs.debian.org. (Wed, 31 Oct 2012 14:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, thomas@koch.ro:
Bug#589436; Package wnpp. (Wed, 31 Jul 2013 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Koch <thomas@koch.ro>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, thomas@koch.ro. (Wed, 31 Jul 2013 12:09:04 GMT) Full text and rfc822 format available.

Message #73 received at 589436@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 589436@bugs.debian.org
Subject: wikimedia works on buck
Date: Wed, 31 Jul 2013 09:21:26 +0200
Jonathan Nieder <jrnieder@gmail.com> filled an ITP for buck, the build system 
Gerrit currently evaluates (has switched to?):
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718394

Wikimedia also seems to have some binary deb for Gerrit:
https://git.wikimedia.org/summary/operations%2Fdebs%2Fgerrit.git



Added blocking bug(s) of 589436: 718394 Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Thu, 14 Nov 2013 15:09:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:53:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.